• Mullvad install and wxpython dependencies


    Hi everyone, first let me apologize for my weak english. I’m new to antergos but not linux and I have to say that i really think that this the best distribution i have used !

    So let’s come to the problem :
    I used Mullvad vpn, and I was very glad to see it in the AUR, so i didn’t think twice :

    yaourt mullvad
    

    And here come the problem --> The package need wxpython 3.0.2.0-5 and the only one avaible in pacman and AUR is wxpython 3.0.2.0-7, so I juste use :

    wget http://delta.archlinux.fr/pool-backup/wxpython-3.0.2.0-5-x86_64.pkg.tar.xz && sudo mv wxpython-3.0.2.0-5-x86_64.pkg.tar.xz /var/cache/pacman/pkg/wxpython-3.0.2.0-5-x86_64.pkg.tar.xz && sudo pacman -U /var/cache/pacman/pkg/wxpython-3.0.2.0-5-x86_64.pkg.tar.xz
    

    And the yaourt installation now work just fine !
    But now i have a problem when i want to upgrade antergos :

    pacman -Su
    :: Début de la mise à jour complète du système...
    résolution des dépendances...
    recherche des conflits entre paquets...
    erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
    :: mullvad : installer wxpython (3.0.2.0-7) casse la dépendance « wxpython=3.0.2.0-5 »
    

    So in english it is a dependencies error because of wxpython, so i thought ok no problem let’s just force this upgrade

    pacman -Sudd
    

    And well it works but now i cannot launch mullvad vpn because of the new version of wxpython. So i remake the downgrade of wxpython again…

    cd /var/cache/pacman/pkg/
    pacman -U wxpython-3.0.2.0-5-x86_64.pkg.tar.xz
    

    So it’s reworking but i cannot update my system, or i have to do

    pacman -Su --ignore wxpython
    

    I’m felling like i’m trapped i really don’t know what to do to come accros all this… It will be great to have your help ! Thank you in advance.

    Please forgive again my weak english.

  • there is an option to ignore updating packages by name inside /etc/pacman.conf

    # Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
    #IgnorePkg   =
    

    and also pamac (gui packagemanager) is able to do that inside settings:

    0_1518190654264_Bildschirmfoto vom 2018-02-09 16-37-01.png

  • Well it totaly works ! Thank you for your help my friend.

  • you are welcome at antergos!

dependencies18 mullvad1 wxpython1 Posts 4Views 509
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.